Bug 1002985 - [abrt] pulseaudio-3.0-10.fc19: rtsp_exec: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
[abrt] pulseaudio-3.0-10.fc19: rtsp_exec: Process /usr/bin/pulseaudio was kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:32b05aae1842779a4c1639aa85b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 08:21 EDT by Stefano Cavallari
Modified: 2015-02-17 11:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:59:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.14 KB, text/plain)
2013-08-30 08:21 EDT, Stefano Cavallari
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-30 08:21 EDT, Stefano Cavallari
no flags Details
File: core_backtrace (9.51 KB, text/plain)
2013-08-30 08:21 EDT, Stefano Cavallari
no flags Details
File: dso_list (4.41 KB, text/plain)
2013-08-30 08:21 EDT, Stefano Cavallari
no flags Details
File: environ (1.72 KB, text/plain)
2013-08-30 08:21 EDT, Stefano Cavallari
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-30 08:21 EDT, Stefano Cavallari
no flags Details
File: maps (51.52 KB, text/plain)
2013-08-30 08:21 EDT, Stefano Cavallari
no flags Details
File: open_fds (2.25 KB, text/plain)
2013-08-30 08:21 EDT, Stefano Cavallari
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-08-30 08:21 EDT, Stefano Cavallari
no flags Details
File: var_log_messages (12.07 KB, text/plain)
2013-08-30 08:21 EDT, Stefano Cavallari
no flags Details

  None (edit)
Description Stefano Cavallari 2013-08-30 08:21:21 EDT
Version-Release number of selected component:
pulseaudio-3.0-10.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
crash_function: rtsp_exec
executable:     /usr/bin/pulseaudio
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 rtsp_exec at modules/rtp/rtsp_client.c:404
 #3 pa_rtsp_setparameter at modules/rtp/rtsp_client.c:519
 #4 pa_raop_client_set_volume at modules/raop/raop_client.c:466
 #5 sink_set_volume_cb at modules/raop/module-raop-sink.c:294
 #6 pa_sink_set_volume at pulsecore/sink.c:2014
 #7 command_set_volume at pulsecore/protocol-native.c:3737
 #8 pa_pdispatch_run at pulsecore/pdispatch.c:336
 #9 pstream_packet_callback at pulsecore/protocol-native.c:4777
 #10 do_read at pulsecore/pstream.c:812
 #11 do_something at pulsecore/pstream.c:180

Potential duplicate: bug 717096
Comment 1 Stefano Cavallari 2013-08-30 08:21:26 EDT
Created attachment 792146 [details]
File: backtrace
Comment 2 Stefano Cavallari 2013-08-30 08:21:29 EDT
Created attachment 792148 [details]
File: cgroup
Comment 3 Stefano Cavallari 2013-08-30 08:21:33 EDT
Created attachment 792150 [details]
File: core_backtrace
Comment 4 Stefano Cavallari 2013-08-30 08:21:37 EDT
Created attachment 792152 [details]
File: dso_list
Comment 5 Stefano Cavallari 2013-08-30 08:21:41 EDT
Created attachment 792154 [details]
File: environ
Comment 6 Stefano Cavallari 2013-08-30 08:21:44 EDT
Created attachment 792157 [details]
File: limits
Comment 7 Stefano Cavallari 2013-08-30 08:21:47 EDT
Created attachment 792159 [details]
File: maps
Comment 8 Stefano Cavallari 2013-08-30 08:21:52 EDT
Created attachment 792161 [details]
File: open_fds
Comment 9 Stefano Cavallari 2013-08-30 08:21:55 EDT
Created attachment 792162 [details]
File: proc_pid_status
Comment 10 Stefano Cavallari 2013-08-30 08:21:59 EDT
Created attachment 792163 [details]
File: var_log_messages
Comment 11 Christopher Beland 2013-09-14 20:32:47 EDT
This happens reliably when trying to play audio to an Airport Express box via the local wifi.

* yum install paprefs pavucontrol pulseaudio-module-zeroconf
* paprefs -> Network Access
* ENABLE: Make discoverable PulseAudio network sound devices available locally
* ENABLE: Make discoverable Apple AirTunes sound devices available locally
* Select an Airport Express node previously set up with a Mac
* Try to play audio
* Crash 8(

The following does work, but plays with very choppy audio:
* yum install paprefs pavucontrol pulseaudio-module-zeroconf
* pactl load-module module-raop-sink server=192.168.1.108
* Select RAOP 192.168.1.108 as output sink
* Play audio
* Hear audio playing but with very poor quality and annoying choppiness

Audio plays perfectly from the Mac desktop via wifi.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
crash_function: rtsp_exec
executable:     /usr/bin/pulseaudio
kernel:         3.10.11-200.fc19.x86_64
package:        pulseaudio-3.0-10.fc19
reason:         Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 12 Christopher Beland 2014-12-27 17:41:15 EST
Another user experienced a similar problem:

Trying to play MP3 in audacious

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: rtsp_exec
executable:     /usr/bin/pulseaudio
kernel:         3.14.23-100.fc19.x86_64
package:        pulseaudio-3.0-10.fc19
reason:         pulseaudio killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Fedora End Of Life 2015-01-09 14:39:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 11:59:31 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.